package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF0H2 extends MwfRequest<MWF0H2, MWF0H2Response> {

    @Parameter(name = "AddressCity")
    MWF0H2 addressCity(String addressCity);
    @Parameter(name = "AddressContCity")
    MWF0H2 addressContCity(String addressContCity);
    @Parameter(name = "AddressContCountry")
    MWF0H2 addressContCountry(String addressContCountry);
    @Parameter(name = "AddressContHouseNumber")
    MWF0H2 addressContHouseNumber(String addressContHouseNumber);
    @Parameter(name = "AddressContLandRegistryNumber")
    MWF0H2 addressContLandRegistryNumber(String addressContLandRegistryNumber);
    @Parameter(name = "AddressContSince")
    MWF0H2 addressContSince(java.util.Date addressContSince);
    @Parameter(name = "AddressContStreet")
    MWF0H2 addressContStreet(String addressContStreet);
    @Parameter(name = "AddressContZipCode")
    MWF0H2 addressContZipCode(String addressContZipCode);
    @Parameter(name = "AddressCountry")
    MWF0H2 addressCountry(String addressCountry);
    @Parameter(name = "AddressEmpCity")
    MWF0H2 addressEmpCity(String addressEmpCity);
    @Parameter(name = "AddressEmpHouseNumber")
    MWF0H2 addressEmpHouseNumber(String addressEmpHouseNumber);
    @Parameter(name = "AddressEmpLandRegistryNumber")
    MWF0H2 addressEmpLandRegistryNumber(String addressEmpLandRegistryNumber);
    @Parameter(name = "AddressEmpStreet")
    MWF0H2 addressEmpStreet(String addressEmpStreet);
    @Parameter(name = "AddressEmpZipCode")
    MWF0H2 addressEmpZipCode(String addressEmpZipCode);
    @Parameter(name = "AddressHouseNumber")
    MWF0H2 addressHouseNumber(String addressHouseNumber);
    @Parameter(name = "AddressLandRegistryNumber")
    MWF0H2 addressLandRegistryNumber(String addressLandRegistryNumber);
    @Parameter(name = "AddressStreet")
    MWF0H2 addressStreet(String addressStreet);
    @Parameter(name = "AddressZipCode")
    MWF0H2 addressZipCode(String addressZipCode);
    @Parameter(name = "BirthCountry")
    MWF0H2 birthCountry(String birthCountry);
    @Parameter(name = "BirthDate")
    MWF0H2 birthDate(java.util.Date birthDate);
    @Parameter(name = "BirthNumber")
    MWF0H2 birthNumber(String birthNumber);
    @Parameter(name = "BirthPlace")
    MWF0H2 birthPlace(String birthPlace);
    @Parameter(name = "BranchId")
    MWF0H2 branchId(String branchId);
    @Parameter(name = "CIF")
    MWF0H2 cif(String cif);
    @Parameter(name = "ChannelId")
    MWF0H2 channelId(String channelId);
    @Parameter(name = "Consent101SignDate")
    MWF0H2 consent101SignDate(java.util.Date consent101SignDate);
    @Parameter(name = "ConsultantID")
    MWF0H2 consultantID(String consultantID);
    @Parameter(name = "DependPersonsCount")
    MWF0H2 dependPersonsCount(Long dependPersonsCount);
    @Parameter(name = "EducationType")
    MWF0H2 educationType(String educationType);
    @Parameter(name = "Email")
    MWF0H2 email(String email);
    @Parameter(name = "EmployeeProcessRole")
    MWF0H2 employeeProcessRole(String employeeProcessRole);
    @Parameter(name = "EmployeeRoleId")
    MWF0H2 employeeRoleId(String employeeRoleId);
    @Parameter(name = "EmploymentId")
    MWF0H2 employmentId(String employmentId);
    @Parameter(name = "EmploymentName")
    MWF0H2 employmentName(String employmentName);
    @Parameter(name = "EmploymentSince")
    MWF0H2 employmentSince(java.util.Date employmentSince);
    @Parameter(name = "EmploymentType")
    MWF0H2 employmentType(String employmentType);
    @Parameter(name = "HousingType")
    MWF0H2 housingType(String housingType);
    @Parameter(name = "IDCard2Number")
    MWF0H2 iDCard2Number(String iDCard2Number);
    @Parameter(name = "IDCard2PublishingCountry")
    MWF0H2 iDCard2PublishingCountry(String iDCard2PublishingCountry);
    @Parameter(name = "IDCard2Type")
    MWF0H2 iDCard2Type(String iDCard2Type);
    @Parameter(name = "IDCard2ValidTo")
    MWF0H2 iDCard2ValidTo(java.util.Date iDCard2ValidTo);
    @Parameter(name = "IDCardNumber")
    MWF0H2 iDCardNumber(String iDCardNumber);
    @Parameter(name = "IDCardPublishingCountry")
    MWF0H2 iDCardPublishingCountry(String iDCardPublishingCountry);
    @Parameter(name = "IDCardType")
    MWF0H2 iDCardType(String iDCardType);
    @Parameter(name = "IDCardValidTo")
    MWF0H2 iDCardValidTo(java.util.Date iDCardValidTo);
    @Parameter(name = "IncomeAverageThreeMonths")
    MWF0H2 incomeAverageThreeMonths(Double incomeAverageThreeMonths);
    @Parameter(name = "MaritalAssets")
    MWF0H2 maritalAssets(String maritalAssets);
    @Parameter(name = "MaritalState")
    MWF0H2 maritalState(String maritalState);
    @Parameter(name = "Name")
    MWF0H2 name(String name);
    @Parameter(name = "Nationality")
    MWF0H2 nationality(String nationality);
    @Parameter(name = "Occupation")
    MWF0H2 occupation(String occupation);
    @Parameter(name = "PhoneNumber")
    MWF0H2 phoneNumber(String phoneNumber);
    @Parameter(name = "Sex")
    MWF0H2 sex(String sex);
    @Parameter(name = "Surname")
    MWF0H2 surname(String surname);
}
